.import nmi_handler, reset_handler, irq_handler

.segment "INESHDR"
  .byt "NES",$1A  ; magic signature
  .byt 1          ; PRG ROM size in 16384 byte units
  .byt 1          ; CHR ROM size in 8192 byte units
  .byt $01        ; mirroring type and mapper number lower nibble
  .byt $08        ; mapper number upper nibble and NES 2.0 sig
  .byt $00        ; mapper number top nibble and variant
  .byt $00        ; ROM size upper bits
  .byt $00        ; WRAM size ($7: 8K; $9: 32K; $B: 128K;
                  ; upper nibble battery backed)
  .byt $00        ; CHR RAM size
  .byt $00        ; TV system (D0: for PAL; D1: both NTSC and PAL work)
  .byt $00        ; Vs. PPU variant

.segment "VECTORS"
.addr nmi_handler, reset_handler, irq_handler

