Open bus test
=============

I was writing controller detection routines, but I hit a snag: the
FCEUX emulator, Mednafen emulator, and the PowerPak disagree on what
value is returned for "open bus".  The [Mindscape bug] is alive and
well.  See docs/methodology.md for what I was trying to do.

This program produces 16 bytes of data to characterize how a
particular combination of console and cartridge handles accesses
to certain addresses not mapped to anything.

Desired results:

    PPU readback result
         00 FF 00 FF 00 FF 00 FF
    Open bus result
         40 40 20 20 20 3F 3F 3F
    Controller bits
         40 40 20 20 41 41 21 21

Let me know what you get.  My nick on the EFnet IRC network is
tepples and I'm often seen in the #nesdev channel.

[Mindscape bug]: http://forums.nesdev.com/viewtopic.php?f=9&t=3698

Legal
=====

The test is distributed under the following terms:

    Copyright 2015 Damian Yerrick
    Copying and distribution of this file, with or without
    modification, are permitted in any medium without royalty
    provided the copyright notice and this notice are preserved.
    This file is offered as-is, without any warranty.

